import request from '@/common/utils/request'


// 新增入职申请PM_EMPLOYMENT_APPLICATION
export function addEmploymentApplication(data) {
  return request({
    url: '/personnelManagement/employmentApplication',
    method: 'post',
    data: data
  })
}

// 修改入职申请PM_EMPLOYMENT_APPLICATION
export function updateEmploymentApplication(data) {
  return request({
    url: '/personnelManagement/employmentApplication/edit',
    method: 'post',
    data: data
  })
}


// 查询入职申请PM_EMPLOYMENT_APPLICATION详细
export function getEmploymentApplication(id) {
  return request({
    url: '/personnelManagement/employmentApplication/' + id,
    method: 'get'
  })
}
// 查询入职申请PM_EMPLOYMENT_APPLICATION列表
export function listEmploymentApplication(query) {
  return request({
    url: '/personnelManagement/employmentApplication/list',
    method: 'get',
    params: query
  })
}